Package com.macrofocus.high_d.parallelcoordinatesmatrix.javafx

# Class JavaFXParallelCoordinatesMatrix<R,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>
com.macrofocus.high_d.parallelcoordinatesmatrix.javafx.JavaFXParallelCoordinatesMatrix<R,C>

All Implemented Interfaces:
  `ParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`

public class JavaFXParallelCoordinatesMatrix<R,C> extends AbstractParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>
Created by luc on 02/02/16.

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrix

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXParallelCoordinatesMatrix()`
  `JavaFXParallelCoordinatesMatrix(ParallelCoordinatesMatrixModel<javafx.scene.paint.Color,Row,Column> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ParallelCoordinatesMatrixModel`
  `createParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected ParallelCoordinatesMatrixView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `javafx.scene.Node`
  `getNativeComponent()`
  `void`
  `setView(ParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrix

  `getModel, getView, setLicenseKey, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXParallelCoordinatesMatrix

    public JavaFXParallelCoordinatesMatrix()

  - ### JavaFXParallelCoordinatesMatrix

    public JavaFXParallelCoordinatesMatrix(ParallelCoordinatesMatrixModel<javafx.scene.paint.Color,Row,Column> model)

- ## Method Details

  - ### setView

    public void setView(ParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color> view)
    Description copied from class: `AbstractParallelCoordinatesMatrix`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Overrides:
      `setView` in class `AbstractParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Parameters:
      `view` - the view to be used

  - ### createParallelCoordinatesMatrixModel

    protected ParallelCoordinatesMatrixModel createParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractParallelCoordinatesMatrix`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createParallelCoordinatesMatrixModel` in class `AbstractParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected ParallelCoordinatesMatrixView createView()
    Description copied from class: `AbstractParallelCoordinatesMatrix`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Returns:
      a ParallelCoordinatesView instance

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()